Bug 127053 (IT_55015) - gftp client doesn't print the correct timestamp
Summary: gftp client doesn't print the correct timestamp
Status: CLOSED WONTFIX
Alias: IT_55015
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gftp   
(Show other bugs)
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-01 02:06 UTC by Masahiro Okubo
Modified: 2013-04-02 04:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 01:47:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Masahiro Okubo 2004-07-01 02:06:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.2)
Gecko/20040301

Description of problem:
When I log onto ftp server on Solaris using gftp client, the timestamp
of files is always printed incorrectly. I tested it in the following
environment.

[Server machine]
OS: Solaris 8
FTPserver : wu-ftp

[Client machine]
OS: RedHat AS2.1(kernel2.4.9-e.41)
FTPclietn : gftp-2.0.8-2

When I see the timestamp of files in the FTP server on Solaris, the
timestamp of all files becomes as follows whatever the real timestamp is.

Year : 2004 or 1970
Month: Jan
Day  : 1

I tried to log onto the wu-ftp server using other FTP client programs
such as ftp,lftp and ncftp. However these FTP client could print the
timestamp CORRECTLY.

This happens only when you log onto the wu-ftp server on Solaris using
gftp client. When you log onto the wu-ftp server on RedHat AS2.1 using
gftp client everything is fine.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Just run wu-ftp server on Solaris and logon to the FTP server using
gftp client on RedHat AS2.1.

Then ls -l to see the timestamp.


    

Actual Results:  The timestamp of files in FTP server is printed as
follows.

Year  : 2004 or 1970
Month : Jan
Day   : 1

Additional info:

Comment 1 Masahiro Okubo 2004-07-01 02:29:05 UTC
One correction about [Server machine] infomation. The server machine I
used is the following.


[Server machine]
OS : Solaris 8
FTPserver : FTP server VERSION=11.9.0.REV=2002.04.06.15.27
            PKG=SUNWftpr

Comment 2 Bastien Nocera 2005-01-04 16:15:23 UTC
This is fixed in newer versions of gftp. I made some unofficial RPMs
available at:
http://people.redhat.com/bnocera/gftp-EL2.1/


Note You need to log in before you can comment on or make changes to this bug.